Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.iface.util
Class IXOceanTheme

    java.lang.Object
      javax.swing.plaf.metal.MetalTheme
          javax.swing.plaf.metal.DefaultMetalTheme
              javax.swing.plaf.metal.OceanTheme
                  ix.iface.util.IXOceanTheme

    public class IXOceanTheme

extends javax.swing.plaf.metal.OceanTheme

A Metal theme for I-X applications.

Use like this:

       MetalLookAndFeel.setCurrentTheme(new IXMetalTheme());

Constructor Summary
`IXOceanTheme()`

Method Summary
`protected javax.swing.plaf.FontUIResource` | `adjustFont(javax.swing.plaf.FontUIResource font)`
`javax.swing.plaf.FontUIResource` | `getControlTextFont()` Fonts
`javax.swing.plaf.FontUIResource` | `getMenuTextFont()`
`protected javax.swing.plaf.ColorUIResource` | `getSecondary3()` Colours
`javax.swing.plaf.FontUIResource` | `getSubTextFont()`
`javax.swing.plaf.FontUIResource` | `getSystemTextFont()`
`javax.swing.plaf.FontUIResource` | `getUserTextFont()`
`javax.swing.plaf.FontUIResource` | `getWindowTitleFont()`

Methods inherited from class javax.swing.plaf.metal.OceanTheme
`addCustomEntriesToTable, getBlack, getControlTextColor, getDesktopColor, getInactiveControlTextColor, getMenuDisabledForeground, getName, getPrimary1, getPrimary2, getPrimary3, getSecondary1, getSecondary2`

Methods inherited from class javax.swing.plaf.metal.MetalTheme
`getAcceleratorForeground, getAcceleratorSelectedForeground, getControl, getControlDarkShadow, getControlDisabled, getControlHighlight, getControlInfo, getControlShadow, getFocusColor, getHighlightedTextColor, getInactiveSystemTextColor, getMenuBackground, getMenuForeground, getMenuSelectedBackground, getMenuSelectedForeground, getPrimaryControl, getPrimaryControlDarkShadow, getPrimaryControlHighlight, getPrimaryControlInfo, getPrimaryControlShadow, getSeparatorBackground, getSeparatorForeground, getSystemTextColor, getTextHighlightColor, getUserTextColor, getWhite, getWindowBackground, getWindowTitleBackground, getWindowTitleForeground, getWindowTitleInactiveBackground, getWindowTitleInactiveForeground`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IXOceanTheme

    public IXOceanTheme()

Method Detail

### getSecondary3

    protected javax.swing.plaf.ColorUIResource getSecondary3()

  Colours

  Overrides:
    `getSecondary3` in class `javax.swing.plaf.metal.OceanTheme`

### getControlTextFont

    public javax.swing.plaf.FontUIResource getControlTextFont()

  Fonts

  Overrides:
    `getControlTextFont` in class `javax.swing.plaf.metal.DefaultMetalTheme`

### getSystemTextFont

    public javax.swing.plaf.FontUIResource getSystemTextFont()

  Overrides:
    `getSystemTextFont` in class `javax.swing.plaf.metal.DefaultMetalTheme`

### getUserTextFont

    public javax.swing.plaf.FontUIResource getUserTextFont()

  Overrides:
    `getUserTextFont` in class `javax.swing.plaf.metal.DefaultMetalTheme`

### getMenuTextFont

    public javax.swing.plaf.FontUIResource getMenuTextFont()

  Overrides:
    `getMenuTextFont` in class `javax.swing.plaf.metal.DefaultMetalTheme`

### getWindowTitleFont

    public javax.swing.plaf.FontUIResource getWindowTitleFont()

  Overrides:
    `getWindowTitleFont` in class `javax.swing.plaf.metal.DefaultMetalTheme`

### getSubTextFont

    public javax.swing.plaf.FontUIResource getSubTextFont()

  Overrides:
    `getSubTextFont` in class `javax.swing.plaf.metal.DefaultMetalTheme`

### adjustFont

    protected javax.swing.plaf.FontUIResource adjustFont(javax.swing.plaf.FontUIResource font)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD